import request from '@/utils/request'

// 查询cmc设备信息列表
export function listDevice(query) {
  return request({
    url: '/oa/device/list',
    method: 'get',
    params: query
  })
}

// 查询cmc设备信息详细
export function getDevice(deviceId) {
  return request({
    url: '/oa/device/' + deviceId,
    method: 'get'
  })
}

// 新增cmc设备信息
export function addDevice(data) {
  return request({
    url: '/oa/device',
    method: 'post',
    data: data
  })
}

// 修改cmc设备信息
export function updateDevice(data) {
  return request({
    url: '/oa/device',
    method: 'put',
    data: data
  })
}

// 删除cmc设备信息
export function delDevice(deviceId) {
  return request({
    url: '/oa/device/' + deviceId,
    method: 'delete'
  })
}
